UbixOS V2 2.0

Data Fields
dirent Struct Reference

`#include <ufs.h>`

Collaboration diagram for dirent:

## Data Fields
__uint32_t | d_fileno
char | d_name [255+1]
__uint8_t | d_namlen
__uint16_t | d_reclen
__uint8_t | d_type

## Detailed Description

Definition at line 92 of file ufs.h.

## Field Documentation

## ◆ d_fileno

__uint32_t dirent::d_fileno

Definition at line 93 of file ufs.h.

## ◆ d_name

char dirent::d_name[255+1]

Definition at line 97 of file ufs.h.

## ◆ d_namlen

__uint8_t dirent::d_namlen

Definition at line 96 of file ufs.h.

## ◆ d_reclen

__uint16_t dirent::d_reclen

Definition at line 94 of file ufs.h.

## ◆ d_type

__uint8_t dirent::d_type

Definition at line 95 of file ufs.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/ufs/ufs.h